> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Percentile ranks

This endpoint returns a list of entities with their respective percentile rank score, according to their effectiveness rating. You can learn more about percentiles through [our docs.](https://docs.rated.network/documentation/methodologies/ethereum/rating-percentiles) Also worth digging deeper into the [Rated Effectiveness Rating](https://docs.rated.network/documentation/methodologies/ethereum/rated-effectiveness-rating) if you're not already familiar with it.

Here's how to interpret the inputs required to operate it 👇

| Parameter | Context                                                                                                                                          |
| :-------- | :----------------------------------------------------------------------------------------------------------------------------------------------- |
| `window`  | The time window of aggregation. You might ask for `1d`, `7d`, `30d` or `All-time` data                                                           |
| `idType`  | The type of entity class you would like returned. You might ask for `pool`, `poolShare`, `nodeOperator`, `depositAddress` or `withdrawalAddress` |


## OpenAPI

````yaml get /v0/eth/operators/percentiles
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/eth/operators/percentiles:
    get:
      tags:
        - Operators
      summary: Get Percentiles
      operationId: get_percentiles_v0_eth_operators_percentiles_get
      parameters:
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
        - name: idType
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/IdType'
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Percentile'
                title: Response Get Percentiles V0 Eth Operators Percentiles Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    IdType:
      type: string
      enum:
        - depositAddress
        - withdrawalAddress
        - nodeOperator
        - pool
        - poolShare
        - entity
        - validator
        - privateSet
      title: IdType
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    Percentile:
      properties:
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        rank:
          type: integer
          minimum: 0
          title: Rank
        value:
          type: number
          minimum: 0
          title: Value
      type: object
      required:
        - timeWindow
        - rank
        - value
      title: Percentile
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````